关闭

使用Material Design报错:Binary XML file line #17: invalid drawable tag vector

标签: materia报错
1075人阅读 评论(1) 收藏 举报
分类:

引言:

Marterial Design是Google推出的全新UI设计规范,这个库能帮我们做很多绚烂的效果,如果对这个库还没有了解的可以看一下:MaterialDesign中文指导手册

注:material design最好在24版本的包下运行,不然会出现不可预知的错误。

好了,言归正传,今天我们是来解决错误的。昨天在网上找了几个好一点的例子看了一下,然后自己实践了一把,结果尼玛崩了,来看看错误日志,说什么
Binary XML file line #17: invalid drawable tag vector看到这个错,相信大部分人都跟我一样很开心哈,这尼玛不是xml报错吗,这么简单,去看看17行,结果令人发指啊!17行并没有什么,这尼玛是怎么回事,然后我就去百度看看了,一查,还真有,解决办法是说将包的版本改为23的,然后我就照着百度的说法去改了一下包的版本,结果还真能运行了,但是但是但是,重要的事情说三遍,我前面提到material design最好在24版本的包下运行,这在23版本下是能正常运行,但是用户体验超级不好,这个我也不知道为什么,然后我就去下别人的工程进行研究,最后我看到网上的代码都是24版本的,我尼玛,24版本报错,23版本体验不好,我果断还是改回24,然后再看看有什么其他的错误,结果发现还真有(太粗心了)

This app has been built with an incorrect configuration. Please configure your build for VectorDrawa

相信很多人都会有问题,这是个什么错啊!说实话我也不知道,不知道咋办呢,百度啊!

这个是解决的办法:

但是,我的项目还是报错:

Warning:Gradle version 2.10 is required. Current version is 2.8. 
If using the gradle wrapper, try editing the distributionUrl in /Usermc/
Documents/workspace/CygProject/gradle/wrapper/gradle-wrapper.properties
to gradle-2.10-all.zip

上面我们修改的是plugin的版本,与之对应的gradle也要做如下修改:

0
0

查看评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场
    个人资料
    • 访问:11644次
    • 积分:368
    • 等级:
    • 排名:千里之外
    • 原创:24篇
    • 转载:2篇
    • 译文:0篇
    • 评论:2条
    文章分类
    文章存档
    最新评论